Subject: RE: [MSEC] I-D ACTION:draft-ietf-msec-mikey-06.txt

From: "Fredrik Lindholm (EAB)" <[email-masked]>
Date: Fri, 7 Feb 2003 17:05:58 +0100

Hi Steffen,

and sorry that we didn't include it into this update. We will 
include a clarification next time we update the draft.

Best,
Fredrik 

> -----Original Message-----
> From: Steffen Fries [mailto:[email-masked]]
> Sent: den 7 februari 2003 16:53
> To: [email-masked]
> Subject: Re: [MSEC] I-D ACTION:draft-ietf-msec-mikey-06.txt
> 
> 
> Hi,
> 
> by reading the MIKEY draft I noticed that from my point of view 
> there is still a problem with the length encoding of the 
> payload.
> 
> In section 6.2.the key data transport payload is described. 
> Here encrypted data may be transported with a maximum length of 
> 2^16 bytes. The encrypted data itself is described in section 
> 6.13 as key data sub payload. Here it is possible to include a 
> key and salt data. Both may have a maximum length of 2^16 each. 
> 
> Considering this means, that someone who uses all avaialable 
> space is not able to encode the correct length information 
> (2^17) in the length field of the encrypted data container.
> 
> I don't think that somebody will use 2^16 byte for key and salt 
> data in the next weeks, but this may be a potential problem if 
> somebody really does.
> 
> A solution would be to shorten the maximum length in the key 
> data sub payload.
> 
> Or did I misinterpreted the sections?
> 
> Steffen
> 
> 
> _______________________________________________
> msec mailing list
> [email-masked]
> http://www.pairlist.net/mailman/listinfo/msec
> 

_______________________________________________
msec mailing list
[email-masked]
http://www.pairlist.net/mailman/listinfo/msec